function handlers(module_name) {
  function warn(prop) {
    console.warn(`TODO implement ${module_name}.${prop} in @nanoapp/nstd/node-libs.`)
  }

  return {
    get: function(dones, prop) {
      if (prop == "then") {
        return dones[prop];
      }
      return prop in dones ? dones[prop] : () => warn(prop)
    }
  }
}

export function todo(name, dones) {
  return new Proxy(dones, handlers(name))
}
